> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation.md).

# 時系列マトリックス変換

「時系列マトリックス変換」とは、任意のSalesforceオブジェクトの関連リストに保管されているリスト形式のデータを、時系列項目を軸としてマトリックス形式に変換して横方向に並べ替え、元のSalesforceオブジェクトの項目とともに同一のシート内に表示する機能です。

さらに、シート上で編集・追加したデータは自動的にマトリックス形式からリスト形式に逆変換されてSalesforceに保存されるので、レポートや集計に最適なデータベース構造を維持したまま、データ入力のみをユーザフレンドリーに保つことが可能です。

{% hint style="success" %}
本機能の利用には「時系列マトリックス変換オプション」が有効になっている必要があります。ご利用をご希望の場合は担当の営業窓口までお知らせ下さい。
{% endhint %}

## [概要](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/overview.md) <a href="#overview" id="overview"></a>

## [マトリックス列の追加](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/add_matrix_column.md) <a href="#add-matrix-column" id="add-matrix-column"></a>

## [マトリックス列の設定](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/change_matrix_column_setting.md) <a href="#change-matrix-column-setting" id="change-matrix-column-setting"></a>

## [列の表示／非表示](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/show_hide_column.md) <a href="#show-hide-column" id="show-hide-column"></a>

## [内部列の追加](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/add_child_column.md) <a href="#add-child-column" id="add-child-column"></a>

## [内部列の削除](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/delete_child_column.md) <a href="#delete-child-column" id="delete-child-column"></a>

## [書式設定](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/format.md) <a href="#format" id="format"></a>

## [制限事項](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/limitations.md) <a href="#limitations" id="limitations"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
